מחוברים עכשיו  

/v1/aichat/

Manages AI Chat related functions
GET

/v1/aichat/get

#
Gets messages for a user thread

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatName string כן — Name of the chat
isAssistantThread bool לא false defines if this is an assistant thread
pageSize int לא 50 Defines how many results will be return per request
pageNumber int לא 0 Defines which page should be returned
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/aichat/get' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatName={{chatName}}' \
  --data-urlencode 'isAssistantThread={{isAssistantThread}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$aichat_get_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" כן
$.oneOf[0].allOf[1].Payload.ResponseBodyobject כן
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object לא
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].interfaceMessageIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].interfaceMessageID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].interfaceMessageID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].messageCreatedDatestring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isAIResponse כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isAIResponse.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isAIResponse.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isAIResponse.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].isAIResponse.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].rolestring ["assistant","user","function"] כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].contentstring כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].richContent כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].richContent.anyOf[0]string כןStored rich-content text; this endpoint does not decode it.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].richContent.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray כן
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/aichat/get",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/aichat/get_status

#
Gets messages for a user thread

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatName string כן — Name of the chat
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/aichat/get_status' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatName={{chatName}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$aichat_get_status_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadarray כן
$.oneOf[0].allOf[1].Payload[] לא
$.oneOf[0].allOf[1].Payload[].oneOf[0]object לא
$.oneOf[0].allOf[1].Payload[].oneOf[0].status = "message_update_available" כן
$.oneOf[0].allOf[1].Payload[].oneOf[0].contentobject כן
$.oneOf[0].allOf[1].Payload[].oneOf[0].content.interfaceMessageIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].oneOf[0].content.interfaceMessageID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload[].oneOf[0].content.interfaceMessageID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload[].oneOf[0].content.continuePolling = false כן
$.oneOf[0].allOf[1].Payload[].oneOf[0].content.contentstring כן
$.oneOf[0].allOf[1].Payload[].oneOf[1]object לא
$.oneOf[0].allOf[1].Payload[].oneOf[1].status = "message_update_available" כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].contentobject כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.interfaceMessageIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.interfaceMessageID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.interfaceMessageID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.continuePolling = true כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContentAIChatRichContent כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[0]object כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[0].htmlstring כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[0].positionstring ["top","bottom"] כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[0].javascriptstring לא
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[0].uiDescriptionstring לא
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[0].uniqueIdstring לא
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[1]object כן
$.oneOf[0].allOf[1].Payload[].oneOf[1].content.richContent.oneOf[1].errorstring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/aichat/get_status",
    "RequestUserAlias": "example-user",
    "Payload": []
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/aichat/set

#
Sends a message to an AI chat

פרמטרים

שםסוגחובהברירת מחדלתיאור
message string כן — the body of the user message, no more than 10k characters
chatName string כן — Name of the chat
respondByAssistantID string לא "" If respondByAssistantID is empty the message will be processed later.
isWritingRequest bool לא false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/aichat/set' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'message={{message}}' \
  --data-urlencode 'chatName={{chatName}}' \
  --data-urlencode 'respondByAssistantID={{respondByAssistantID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$aichat_set_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payload כן
$.oneOf[0].allOf[1].Payload.oneOf[0]object כן
$.oneOf[0].allOf[1].Payload.oneOf[0].responseInterfaceMessageIDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.oneOf[0].responseInterfaceMessageID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.oneOf[0].responseInterfaceMessageID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.oneOf[1] = true כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/aichat/set",
    "RequestUserAlias": "example-user",
    "Payload": {
        "responseInterfaceMessageID": 0
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/aichat/set_clear

#
Clear chat history

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatName string כן — Name of the chat
isWritingRequest bool לא false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/aichat/set_clear' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatName={{chatName}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$aichat_set_clear_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payload = true כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/aichat/set_clear",
    "RequestUserAlias": "example-user",
    "Payload": true
}
תיעוד נקודת קצה קריא למכונה